| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
Image
Image.Image

# Method Image.Image()->`*()

Method `*

  `object `*(object operand)`
  `object `*(array(int) color)`
  `object `*(int value)`
  `object `*(float value)`

Description

  Multiplies pixel values and creates a new image. This can be useful to lower the values of an image, making it greyer, for instance:

      image=image*128+64;

Parameter `operand`

  the other image to multiply with; the images must have the same size.

Parameter `color`

  an array in format ({r,g,b}), this is equal to using an uniform-colored image.

Parameter `value`

  equal to ({value,value,value}).

Returns

  the new image object

See also

  `- , `+ , `| , `&amp; , Image.Layer